### Method

# GdkPixbuf PixbufLoader set_size

since: 2.2

#### Declaration [src]

    void
    gdk_pixbuf_loader_set_size (
      GdkPixbufLoader* loader,
      int width,
      int height
    )

#### Description [src]

Causes the image to be scaled while it is loaded.

The desired image size can be determined relative to the original size of the image by calling `gdk_pixbuf_loader_set_size()` from a signal handler for the ::size-prepared signal.

Attempts to set the desired image size are ignored after the emission of the ::size-prepared signal.

Available since: 2.2

#### Parameters

`width`

  Type: `int`

  The desired width of the image being loaded.

`height`

  Type: `int`

  The desired height of the image being loaded.